/*
 * Camera Picture Copy (campico)
 *
 * This will copy pictures from the mounted camera (i.e. usb mass-storage) directory,
 *  and copy the files to specified destination directory - more properly named.
 *
 * Copyright (c) 2002-2003 Torgeir Hansen <cpc@trenger.ro> of the fff (http://fff.sliter.nu)
 * Contributions (c) 2010 Kai Engert kaie at kuix dot de
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * 
 */

//
// includes
//
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/sendfile.h>
#include <time.h>
#include <errno.h>
#include <sys/stat.h>
#include <dirent.h>
#include <fcntl.h>
#include <utime.h>
#include <openssl/md5.h>
#include "../config.h"


#ifdef HAVE_LIBEXIF
	#include <libexif/exif-data.h>
	#include <libexif/exif-utils.h>
#endif

//
// global variables \ defines.
//
char *sourcedir = NULL;
char *destdir = NULL;
char *cfgfile = NULL;
int verbose = -1;
int recurse = -1;
int useexif = -1;
int movefiles = -1;
int prunesource = -1;
int dryrun = -1;
unsigned long bytecount = 0;
unsigned long imagecount = 0;

//
// prototypes
//
int main(int argc, char **argv);
int docopy(char *source, char *dest);
void printhelp(char *name);
int readconf(void);
char *getparam(char *line, char *keyword);
